diff scripts/update_board @ 504:b6eb94378ca9 prerelease

update_board
author Giulio Moro <giuliomoro@yahoo.it>
date Wed, 22 Jun 2016 01:24:55 +0100
parents 89212ad6a0bf
children 116cbb0e2bd4
line wrap: on
line diff
--- a/scripts/update_board	Wed Jun 22 01:17:57 2016 +0100
+++ b/scripts/update_board	Wed Jun 22 01:24:55 2016 +0100
@@ -188,12 +188,12 @@
 if [ $UPDATE_IDE -eq 1 ]
 then
 	[ $ALWAYS_YES -eq 0 ] && ALWAYS_YES_FLAG= || ALWAYS_YES_FLAG="-y"
-	[ $FULL -eq 1 ] && NO_FRILLS_FLAG= || NO_FRILLS_FLAG="--no-frills"
 	ls $IDE_FOLDER/scripts/update_IDE >/dev/null 2>/dev/null
 	if [ $? -eq 0 ]
 	then
 	  export BBB_ADDRESS BBB_BELA_HOME
-	  cd $IDE_FOLDER/scripts && ./update_IDE $ALWAYS_YES_FLAG $NO_FRILLS_FLAG
+	  cd $IDE_FOLDER/scripts && ./update_IDE $ALWAYS_YES_FLAG --no-frills
+
 	  # The IDE is restarted by the update_IDE script
 	else
 	  # run the IDE 
@@ -207,7 +207,7 @@
 fi
 [ $FULL -eq 1 ] && ssh $BBB_ADDRESS make -C $BBB_BELA_HOME --no-print-directory idestartup nostartup && printf "The board will now run the IDE at startup, but startup of the Bela program has been disabled.\nTo enable it, use the set_startup.sh script.\nTo control the ide use the ide.sh script\n"
 
-[ $ALWAYS_YES -eq 1 ] && printf "\nSetup complete.\n\n" || {
+[ $ALWAYS_YES -eq 1 ] && printf "\nCore setup complete.\n\n" || {
   printf '\nSetup complete, press any key to continue . . .\n\n'
   read 
 }